New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Unable to install 2.5.1 on macOS #1078

Closed
ghostfreeman opened this Issue May 9, 2018 · 4 comments

Comments

Projects
None yet
5 participants
@ghostfreeman

ghostfreeman commented May 9, 2018

I run rbenv install 2.5.1 and end up with the following error. It looks like a permissions/file writing issue. I have run xcode-select --install to confirm that is setup (it is).

$ rbenv install 2.5.1   
ruby-build: use openssl from homebrew
Downloading ruby-2.5.1.tar.bz2...
-> https://cache.ruby-lang.org/pub/ruby/2.5/ruby-2.5.1.tar.bz2
Installing ruby-2.5.1...
ruby-build: use readline from homebrew

BUILD FAILED (OS X 10.12.6 using ruby-build 20180424)

Inspect or clean up the working tree at /var/folders/v0/_844prt921gckldxpz303cg00000gn/T/ruby-build.20180508204118.18752
Results logged to /var/folders/v0/_844prt921gckldxpz303cg00000gn/T/ruby-build.20180508204118.18752.log

Last 10 log lines:
compiling dmyext.c
compiling miniprelude.c
translating probes probes.d
compiling bignum.c
error: error reading '/dev/fd/9'
1 error generated.
clang: error: unable to remove file: Operation not permitted
dtrace: failed to compile script probes.d: Preprocessor failed to process input program
make: *** [probes.h] Error 1
make: *** Waiting for unfinished jobs....

Apologies for wasting your time with this issue, if its been resolved elsewhere.

@nishanov

This comment has been minimized.

nishanov commented May 9, 2018

It's not. Reported here, here, here 😕

@fotocell7

This comment has been minimized.

fotocell7 commented May 20, 2018

Any updates? I am experiencing the same problem. Thanks

Downloading ruby-2.5.1.tar.bz2...
-> https://cache.ruby-lang.org/pub/ruby/2.5/ruby-2.5.1.tar.bz2
Installing ruby-2.5.1...

BUILD FAILED (OS X 10.13.4 using ruby-build 20180424)

Inspect or clean up the working tree at /var/folders/z1/qcpgwxr56dz3rpdx0grgk1200000gn/T/ruby-build.20180519232512.680
Results logged to /var/folders/z1/qcpgwxr56dz3rpdx0grgk1200000gn/T/ruby-build.20180519232512.680.log

Last 10 log lines:
compiling bignum.c
compiling class.c
compiling compar.c
compiling compile.c
error: error reading '/dev/fd/8'
1 error generated.
clang: error: unable to remove file: Operation not permitted
dtrace: failed to compile script probes.d: Preprocessor failed to process input program
make: *** [probes.h] Error 1
make: *** Waiting for unfinished jobs....

@n00b2pr0

This comment has been minimized.

n00b2pr0 commented May 22, 2018

Running RUBY_CONFIGURE_OPTS="--disable-dtrace" rbenv install <version> worked for me. YMMV.

Source: https://stackoverflow.com/a/48950894

@mislav

This comment has been minimized.

Member

mislav commented Jun 4, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment